Subject: Re: get_cycles()

From: Kevin Diggs <[email-masked]>
Date: Sun, 27 Apr 2008 03:35:54 -0700

David Miller wrote:
> From: Kevin Diggs <[email-masked]>
> Date: Sat, 26 Apr 2008 19:39:07 -0700
> 
> 
>>This looks pretty cool ... but I don't want to create a dependency on
>>hrtimer.
> 
> 
> It doesn't create such a dependency.
> 
> We use it unconditionally in the generic networking.
> 
> Please don't use platform specific interfaces if you don't have to.
> You're be insulated from so many things.
> 

I'm working on a cpufreq driver for the 750GX so I don't think I have to 
worry about being to platform specific.

Would a compile time configuration be a good idea (hrtimer or 
get_cycles() assisted timing)?

In the 2.4 code I just used a timer 2 ticks in the future to be certain 
I did not go under the 100 us PLL lock delay. I was trying to see if I 
could cut the latency down.

What about using OF? Isn't there a timebase property for the cpus?

Thoughts?

kevin